View Issue Details

IDProjectCategoryView StatusLast Update
0013943CentOS-7kernelpublic2017-12-30 18:51
ReporterNotis 
PriorityurgentSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
PlatformProLiant DL360e Gen8OSCentOSOS Version7.4.1708
Product Version7.4.1708 
Target VersionFixed in Version 
Summary0013943: kernel panic with kernel version 3.10.0-693.2.2.el7.x86_64
DescriptionKernel panic with HP 120i smart array controller (kernel 3.10.0-693.2.2.el7.x86_64 and storage controller driver kmod-hpvsa-1.2.12-112.rhel7u1.x86_64).
Updating drivers (kmod-hpvsa-1.2.16-102.rhel7u3.x86_64), it doesn't display kernel panic error but system doesn't boot.

With previous kernel version (3.10.0-514.26.2.el7.x86_64), system boots perfectly.
TagsNo tags attached.
abrt_hash
URL

Activities

Notis

Notis

2017-09-29 12:17

reporter  

IMG-20170929-WA0002.jpg (352,347 bytes)
toracat

toracat

2017-09-29 13:41

manager   ~0030258

From the tag "rhel7u3" I'd guess it supports EL7.3 but not EL7.4. I suggest you ask HP for an updated version of the kmod package.
Lucas_Steinmann

Lucas_Steinmann

2017-10-21 13:22

reporter   ~0030438

I can confirm the same error on a HP Proliant Microserver Gen8 with an HP Dynamic Smart Array B120i.
I have installed kmod-hpvsa-1.2.14-113.rhel7u2.x86_64.rpm and also receive a kernel panic.
Lucas_Steinmann

Lucas_Steinmann

2017-10-23 10:15

reporter   ~0030440

I have contacted support.
They told me that there is no driver support for CentOS and I should use AHCI mode.

So my last hope would be: Does the driver crashing under CentOS 7.4 imply it also crashing on newer RHEL version? (because RHEL is supported)

But this is no bug in CentOS and for further discussion this is maybe not the right place.
TrevorH

TrevorH

2017-10-23 10:19

manager   ~0030441

If it works for RHEL 7.4 then it should also work for CentOS so if they have a rebuilt driver for RHEL 7.4 then that will probably work. However, having said that, even RH on their knowledge base recommend using AHCI mode and linux software RAID.
Lucas_Steinmann

Lucas_Steinmann

2017-12-30 18:38

reporter   ~0030836

HPE updated their driver.

The new driver is compatible with CentOS 7.4.

You can find it here:
https://support.hpe.com/hpsc/swd/public/detail?swItemId=MTX_fc9cb2b56d854a7aacc6a9c0b5

I suggest the issue can be marked resolved.
toracat

toracat

2017-12-30 18:51

manager   ~0030837

@Lucas_Steinmann

Thanks for the note. Now closing the ticket as 'resolved'.

Issue History

Date Modified Username Field Change
2017-09-29 11:45 Notis New Issue
2017-09-29 12:17 Notis File Added: IMG-20170929-WA0002.jpg
2017-09-29 13:41 toracat Note Added: 0030258
2017-10-21 13:22 Lucas_Steinmann Note Added: 0030438
2017-10-23 10:15 Lucas_Steinmann Note Added: 0030440
2017-10-23 10:19 TrevorH Note Added: 0030441
2017-12-30 18:38 Lucas_Steinmann Note Added: 0030836
2017-12-30 18:51 toracat Status new => resolved
2017-12-30 18:51 toracat Resolution open => fixed
2017-12-30 18:51 toracat Note Added: 0030837